
# enumerate - openpluginlib unit test.

# Copyright (C) 2005-2006 Visual Media FX Ltd.
# Released under the LGPL.
# For more information, see http://www.openlibraries.org.

# unit test to enumerate all available plugins

import platform
import sys
if platform.system( ) == "Linux":
	import dl
	sys.setdlopenflags( dl.RTLD_NOW | dl.RTLD_GLOBAL )

import openpluginlib

for arg in sys.argv:
	openpluginlib.init( arg )

x = openpluginlib.discovery( openpluginlib.all_query_traits( "", "", "", 0 ) )
for y in x:
	print y.libname( ), ':', y.name( ), y.merit( )
